Bug 261034 - devel/llvm-devel: handle non-default Python versions
Summary: devel/llvm-devel: handle non-default Python versions
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Brooks Davis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-08 15:09 UTC by Trond.Endrestol
Modified: 2022-03-25 23:35 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (brooks)


Attachments
Patch for devel/llvm-devel/pkg-plist allowing for non-default Python versions (692 bytes, patch)
2022-01-08 15:10 UTC, Trond.Endrestol
no flags Details | Diff
Patch for devel/llvm-devel/pkg-plist substituting .cpython-38 for %%PYTHON_EXT_SUFFIX%% (687 bytes, patch)
2022-01-10 18:21 UTC, Trond.Endrestol
no flags Details | Diff
Patch for devel/llvm-devel/Makefile substituting ${PYTHON_EXT_SUFFIX} for %%PYTHON_EXT_SUFFIX%% (640 bytes, patch)
2022-01-10 18:24 UTC, Trond.Endrestol
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Trond.Endrestol 2022-01-08 15:09:49 UTC
devel/llvm-devel/pkg-plist hardcodes Python 3.8. The soon to be attached patch makes pkg-plist more flexible.
Comment 1 Trond.Endrestol 2022-01-08 15:10:48 UTC
Created attachment 230819 [details]
Patch for devel/llvm-devel/pkg-plist allowing for non-default Python versions
Comment 2 Trond.Endrestol 2022-01-10 18:21:18 UTC
Created attachment 230884 [details]
Patch for devel/llvm-devel/pkg-plist substituting .cpython-38 for %%PYTHON_EXT_SUFFIX%%

After a discussion on Discord it was suggested to use PYTHON_EXT_SUFFIX instead.
Comment 3 Trond.Endrestol 2022-01-10 18:24:50 UTC
Created attachment 230885 [details]
Patch for devel/llvm-devel/Makefile substituting ${PYTHON_EXT_SUFFIX} for %%PYTHON_EXT_SUFFIX%%

This patch is the one to commit after it is verified. The previous patch must be considered only as a hot fix for the impatient user.
Comment 4 Brooks Davis freebsd_committer 2022-01-10 18:31:30 UTC
Looks good, I'll commit soon (testing a fix for i386 now) and will merge to other llvm versions over time.
Comment 5 commit-hook freebsd_committer 2022-01-11 17:13:17 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=bbe2fcc4d6715ada89d47b132a383e06faee80c0

commit bbe2fcc4d6715ada89d47b132a383e06faee80c0
Author:     Brooks Davis <brooks@FreeBSD.org>
AuthorDate: 2022-01-11 17:06:23 +0000
Commit:     Brooks Davis <brooks@FreeBSD.org>
CommitDate: 2022-01-11 17:12:07 +0000

    devel/llvm-devel: fix i386 builds, minor improvements

    Fix OpenMP build on i386 by removing a bogus assert. The assert was
    added in https://reviews.llvm.org/D114270 and is wrong on 32-bit. It's
    a little unclear if this will work of if we should disable the AMDGPU
    plugin on i386.

    Remove some conflicts for long-removed packages (clang-devel and
    iomp5-devel).

    Don't hardcode PYTHON_EXT_SUFFIX in the plist. [0]

    PR:             261034 [0]
    Reported by:    Trond.Endrestol@ximalas.info [0]

 devel/llvm-devel/Makefile                                      |  3 +--
 ...ch-openmp_libomptarget_plugins_amdgpu_impl_internal.h (new) | 10 ++++++++++
 devel/llvm-devel/pkg-plist                                     |  2 +-
 3 files changed, 12 insertions(+), 3 deletions(-)
Comment 6 Brooks Davis freebsd_committer 2022-03-25 23:35:38 UTC
I think I've fixed all impacted versions.